<template>
    <nav class="main-header navbar navbar-expand navbar-white navbar-light" v-if="isAuthenticated">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" data-widget="pushmenu" href="#"><i class="fa fa-bars"></i></a>                
            </li>
        </ul>
        <!-- Right navbar links -->
        <ul class="navbar-nav ml-auto">
            <li class="nav-item dropdown user-menu">
                <a href="#" class="nav-link dropdown-toggle" data-toggle="dropdown">
                    <span class="d-none d-md-inline">{{ username }}</span>
                    <img v-bind:src="image" class="user-image img-circle elevation-2" alt="User Image">
                </a>
                <ul class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                    <!-- User image -->
                    <li class="user-header bg-primary">
                        <img v-bind:src="image" class="img-circle elevation-2" alt="User Image">
                        <p>
                            {{ username }}
                            <small>Miembro desde {{ memberSince }}</small>
                        </p>
                    </li>
                    <!-- Menu Footer-->
                    <li class="user-footer">
                        <a href="#" class="btn btn-default btn-flat" v-on:click="editProfile">Profile</a>
                        <a href="#" class="btn btn-default btn-flat float-right" v-on:click="logout">Logout</a>
                    </li>
                </ul>
            </li>
        </ul>
    </nav>
                        
</template>

<script>
import auth from '../auth.js';

export default {
    data() {
        return {
            isAuthenticated: auth.loggedIn(),
            user: auth.user()
        };
    },
    computed: {
        username() {
            return this.user !== null ? this.user.first_name + ' ' + this.user.last_name : null;
        },
        image() {
            return this.user !== null && this.user.profile_photo !== null ? '/storage/' + this.user.profile_photo.storage_path : null;
        },
        memberSince() {
            return this.user !== null ? moment(this.user.created_at).format('MMM Y') : null;
        }
    },
    methods: {
        setUser(data) {
            this.user = data;
        },
        logout(e) {
            e.preventDefault();
            auth.logout();
        },
        editProfile(e) {
            e.preventDefault();
            this.$parent.editProfile();
        }
    }
}
</script>